
# class_processInfo.py
#    Simple record-like data structure to store information about a given
#    process
#
# [Mark Neubauer 7/15/03]


# processInfo class definition
#

class processInfo:
    """Simple record-like data structure to store information about a given
       process
    """


    # Contructor
    #

    def __init__(self, sectionID, processNum, userName, queueName, procType,
                 submitTime, state, startTime=None, endTime=None):

        self.sectionID = sectionID
        self.processNum = processNum
        self.userName = userName
        self.queueName = queueName
        self.procType = procType
        self.submitTime = submitTime
        self.state = state
        self.startTime = startTime
        self.endTime = endTime
        

