
# dcParams.py
#    Global parameters for CAF batch monitoring
#
# [Mark Neubauer 7/15/03]


DC_ROOT_DIR = "/home/cafmon/batchmon/dataCollect"

FBSNG_CFG_FILE = "/home/cdfcaf/CafSetup/fbsng/cfg/fbs.cfg"
#FBSNG_CFG_FILE = "%s/fbs_fcdfhead2.cfg" % DC_ROOT_DIR

# Group process types
GROUP_PTYPES  = ["long_cmu", "long_geneva", "long_harvard", "long_japan",
                "long_jhu", "long_mit", "long_pitt", "long_ucdavis",
                "long_uk", "long_yale", "short_italy"]


# Set time between polling for new CAF section list
POLLING_INTERVAL = 600.     # float in seconds

# Set time interval for writing process accounting information to log file
DATA_WRITE_INTERVAL = 60.    # float in seconds
    

# Log file
LOG_FILE = "fbsmon_cnaf.out"


# Data files
DATA_ROOT_DIR             = "/home/cafmon/batchmon/data"
DATA_PENDING_FILE         = "%s/pending.dat"         % DATA_ROOT_DIR
DATA_RUNNING_FILE         = "%s/running.dat"         % DATA_ROOT_DIR
DATA_WAIT_TIME_FILE       = "%s/wait_time.dat"       % DATA_ROOT_DIR
DATA_START_TIME_DIFF_FILE = "%s/start_time_diff.dat" % DATA_ROOT_DIR
DATA_EXEC_TIME_FILE       = "%s/exec_time.dat"       % DATA_ROOT_DIR


